Bug 595841 - krb5's kprop/kpropd needs to support IPv6 connections
Summary: krb5's kprop/kpropd needs to support IPv6 connections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: BaseOS QE Security Team
URL: http://krbdev.mit.edu/rt/Ticket/Displ...
Whiteboard:
Depends On:
Blocks: 519903 594247
TreeView+ depends on / blocked
 
Reported: 2010-05-25 18:35 UTC by Nalin Dahyabhai
Modified: 2011-05-19 13:11 UTC (History)
4 users (show)

Fixed In Version: krb5-1.9-1.el6
Doc Type: Bug Fix
Doc Text:
This field is the basis of the errata or release note for this bug. It can also be used for change logs. The Technical Note template, known as CCFR, is as follows: Cause The kprop/kpropd pair of tools did not support IPv6 connections. Consequence If a master KDC could not reach a replica using IPv4, realm databases could not be propagated, even on networks where both master and replica were configured to use IPv6. Fix Portions of kprop and kpropd were modified to take advantage of dual-stack support provided by the operating system.
Clone Of:
Environment:
Last Closed: 2011-05-19 13:11:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0571 normal SHIPPED_LIVE krb5 bugfix update 2011-05-18 17:57:04 UTC

Description Nalin Dahyabhai 2010-05-25 18:35:01 UTC
Neither kprop nor kpropd seems to support connections over IPv6.

Comment 8 Florian Nadge 2011-05-07 09:34:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This field is the basis of the errata or release note for this bug. It can also be used for change logs.

The Technical Note template, known as CCFR, is as follows:

Cause
    What actions or circumstances cause this bug to present.
Consequence
    What happens when the bug presents.
Fix
    What was done to fix the bug.

Comment 9 Nalin Dahyabhai 2011-05-09 19:57:55 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -3,8 +3,8 @@
 The Technical Note template, known as CCFR, is as follows:
 
 Cause
-    What actions or circumstances cause this bug to present.
+    The kprop/kpropd pair of tools did not support IPv6 connections.
 Consequence
-    What happens when the bug presents.
+    If a master KDC could not reach a replica using IPv4, realm databases could not be propagated, even on networks where both master and replica were configured to use IPv6.
 Fix
-    What was done to fix the bug.+    Portions of kprop and kpropd were modified to take advantage of dual-stack support provided by the operating system.

Comment 10 errata-xmlrpc 2011-05-19 13:11:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0571.html


Note You need to log in before you can comment on or make changes to this bug.